MKINITCPIO(8)

NUME
mkinitcpio - creează un mediu ramdisk inițial

SINOPSIS

mkinitcpio [opțiuni]

DESCRIERE

Creează un mediu ramdisk inițial pentru pornirea nucleului Linux. Ramdisk-ul inițial este, în esență, un mediu foarte mic (spațiu utilizator inițial) care încarcă diverse module ale nucleului și configurează lucrurile necesare înainte de a preda controlul către init. Acest lucru face posibilă existența, de exemplu, a sistemelor de fișiere rădăcină criptate și a sistemelor de fișiere rădăcină pe o matrice RAID software. mkinitcpio permite extinderea ușoară cu cârlige personalizate, are autodetecție în timpul execuției și multe alte caracteristici.

OPȚIUNI

-A, --addhooks cârlige
    Adaugă cârlige suplimentare la imagine. Acestea vor fi procesate în ordine după toate celelalte cârlige din fișierul de configurare. Cârligele multiple trebuie să fie separate prin virgule. Această opțiune poate fi specificată de mai multe ori.

-c, --config fișier-configurare
    Utilizează fișierul fișier-configurare pentru a genera ramdisk-ul. Implicit: /etc/mkinitcpio.conf. Dacă este specificat, fișierele drop-in din /etc/mkinitcpio.conf.d/ vor fi ignorate.

-d, --generatedir director
    Stabilește director ca locație în care este construit initramfs. Acest lucru ar putea fi util pentru a genera un ramfs de închidere în /run/initramfs/.

-D, --hookdir director
    Stabilește director ca locație în care vor fi căutate cârligele la generarea imaginii.

-g, --generate nume-fișier
    Generează o imagine CPIO ca nume-fișier. Implicit: nu; aceasta înseamnă că nu se va scrie nimic în sistemul de fișiere dacă nu este specificată această opțiune.

-H, --hookhelp nume-cârlig
    Afișează ajutorul pentru numele cârligului nume-cârlig.

-h, --help
    Afișează o scurtă prezentare generală a opțiunilor de linie de comandă disponibile.

-k, --kernel versiune-nucleu
    Utilizează versiune-nucleu, în locul nucleului care rulează în prezent. Aceasta poate fi o rută către o imagine a nucleului (acceptată numai pentru arhitecturile bazate pe x86), o versiune specifică a nucleului sau cuvântul-cheie special none. În acest din urmă caz, nu se adaugă module de nucleu la imagine.

-L, --listhooks
    Listează toate cârligele disponibile.

-M, --automods
    Afișează modulele găsite prin autodetecție. mkinitcpio va încerca în mod automat să determine ce module ale nucleului sunt necesare pentru a porni calculatorul. Această opțiune enumeră modulele care au fost detectate.

-n, --nocolor
    Dezactivează colorarea ieșirii.

-U, --uki nume-fișier
    Generează o imagine unificată a nucleului ca nume-fișier. Dacă o imagine CPIO este construită cu succes, aceasta va fi utilizată pentru a genera o imagine unificată a nucleului pentru pornirea UEFI. Aceasta combină initramfs, nucleul și linia de comandă a nucleului într-un singur executabil. Acest lucru este util pentru integritatea lanțului de pornire, unde fișierul este semnat. Implicit: no. Pentru o listă a opțiunilor relevante, consultați secțiunea Opțiuni pentru imaginea unificată a nucleului de mai jos.

-P, --allpresets
    Procesează toate preconfigurările conținute în /etc/mkinitcpio.d. Consultați opțiunea -p pentru mai multe detalii despre preconfigurări.

-p, --preset preconfigurarea
    Construiește imaginea (imaginile) initramfs în conformitate cu preconfigurarea specificată. Acesta poate fi un fișier din /etc/mkinitcpio.d (fără extensia .preset) sau o rută completă, absolută către un fișier. Această opțiune poate fi specificată de mai multe ori pentru a procesa mai multe preconfigurări.

-R, --remove
    Elimină imaginea (imaginile) initramfs generată (generate) de preconfigurările specificate. Dacă este utilizată în combinație cu -P|--allpresets, elimină imaginile pentru toate preconfigurările. Această opțiune poate fi utilizată numai cu -p|--presets sau -P|--allpresets.

-r, --moduleroot dir-root
    Specifică directorul rădăcină în care se găsesc modulele, implicit /.

-S, --skiphooks cârlige
    Omite cârligele la generarea imaginii. Cârligele multiple trebuie separate prin virgule. Această opțiune poate fi specificată de mai multe ori.

-s, --save
    Salvează directorul de construcție pentru ramdisk-ul inițial. Implicit: no; Aceasta înseamnă că directorul nu va fi păstrat dacă această opțiune nu este specificată. Util în scopuri de depanare.

-t, --builddir dir-temp
    Utilizează dir-temp ca director temporar de construire în loc de /tmp. dir-temp trebuie să existe. Variabila de mediu TMPDIR este de asemenea respectată pentru a defini această locație, dar opțiunea din linia de comandă va avea prioritate.

-V, --version
    Afișează informațiile despre versiune.

-v, --verbose
    Afișare detaliată. Afișează mai multe informații despre ceea ce se întâmplă în timpul creării ramdisk-ului.

-z, --compress comprimarea
    Suprascrie metoda de comprimare cu programul comprimarea.

OPȚIUNI PENTRU IMAGINEA UNIFICATĂ A NUCLEULUI

--cmdline nume-fișier
    Utilizează linia de comandă a nucleului cu imaginea unificată a nucleului. Dacă nu este specificat niciunul, încearcă unul dintre fișierele /etc/kernel/cmdline, /usr/lib/kernel/cmdline sau /proc/cmdline.

--no-cmdline
    Omite încorporarea unui șir de linie de comandă a nucleului în imaginea nucleului unificată. Opțiunile liniei de comandă a nucleului vor trebui transmise prin linia de comandă a nucleului. Suprascrie opțiunea --cmdline.

--splash nume-fișier
    Executabilele UEFI pot afișa un fișier de tip hartă de biți la pornire.

--uefistub nume-fișier
    Imagine stub UEFI utilizată pentru generarea imaginii nucleului unificate. Nu are niciun efect dacă se utilizează ukify. Implicit: Încearcă să caute un încărcător stub systemd-boot sau gummiboot.

--ukiconfig nume-fișier
    Fișier de configurare care să fie transmis către ukify. Dacă nu este specificat niciunul, se încearcă unul dintre fișierele /etc/kernel/uki.conf sau /usr/lib/kernel/uki.conf. Dacă niciunul dintre acestea nu există, ukify va utiliza fișierul său implicit intern.

--no-ukify
    Nu utilizează ukify pentru a construi UKI, chiar dacă acesta este disponibil. Acest lucru nu este recomandat.

--kernelimage nume-fișier
    Include o imagine de nucleu pentru imaginea nucleului unificată. Implicit: una dintre /lib/modules/${KERNELVERSION}/vmlinuz, /boot/vmlinuz-${KERNELVERSION}, sau /boot/vmlinuz-linux.

--osrelease nume-fișier
    Include un fișier os-release pentru imaginea unificată a nucleului. Implicit: /etc/os-release sau /usr/lib/os-release.

DESPRE PRECONFIGURĂRI

O preconfigurare este o definiție predefinită a modului de creare a unui ramdisk inițial. În loc să specificați fișierul de configurare și fișierul de ieșire, de fiecare dată când generați un nou ramdisk inițial, definiți o preconfigurare și utilizați opțiunea -p pentru a genera un ramdisk inițial în conformitate cu preconfigurarea dvs.

De obicei, preconfigurările sunt fișiere situate în /etc/mkinitcpio.d/ cu extensia .preset, de exemplu /etc/mkinitcpio.d/linux.preset pentru preconfigurarea linux. Este posibil să utilizați fișiere și în alte locații. Atunci trebuie specificată ruta către acel fișier.

Fișierele de preconfigurări sunt scripturi shell care sunt preluate de mkinitcpio, iar următoarele variabile îi vor influența comportamentul.

Rețineți că mkinitcpio se apelează singur pentru fiecare preconfigurare și transmite opțiunile definite în fișierul de preconfigurare prin intermediul argumentelor din linia de comandă. Acestea sunt menționate în descrierea opțiunilor de mai jos, deci consultați manualul argumentelor de linie de comandă pentru mai multe informații despre o anumită opțiune.

PRESETS
    O serie de nume de preconfigurări definite în acest fișier. Aceste nume vor fi utilizate ca prefix la alte opțiuni pentru a furniza opțiuni specifice preconfigurării. De exemplu, dacă se dă PRESET=('custom'), atunci imaginea este specificată prin custom_image='/boot/custom.img'.

<preconfigurare>_kver (implicit valoarea lui ALL_kver — una din cele două este necesară)
    Specifică versiunea nucleului (prin -k în mkinitcpio).

<preconfigurare>_config (implicit valoarea lui ALL_config — una dintre cele două este necesară)
    Ruta către fișierul de configurare (transmisă prin -c către mkinitcpio).

<preconfigurare>_uki (una dintre <preconfigurare>_uki și <preconfigurare>_image este necesară)
    Ruta fișierului de ieșire pentru o imagine unificată a nucleului (transmisă prin -U către mkinitcpio).

<preconfigurare>_imagine (una dintre <preconfigurare>_uki și <preconfigurare>_imagine este necesară)
    Ruta fișierului de ieșire pentru imaginea generată (transmisă prin -g către mkinitcpio).

<preconfigurare>_options
    Alte argumente din linia de comandă pe care să le transmiteți către mkinitcpio sub formă de șir sau serie de șiruri. Acestea vor fi adăugate la sfârșitul apelului către mkinitcpio (după toate opțiunile menționate mai sus), astfel încât acestea pot fi utilizate pentru a suprascrie opțiuni (de exemplu, treceți un -S cârlig aici pentru a omite un cârlig).

DESPRE CÂRLIGELE DE INSTALARE

Cârligele de instalare sunt scripturi bash care sunt obținute în timpul rulării mkinitcpio pentru a adăuga module, fișiere binare și alte fișiere la imagine. Există o varietate de funcții pentru a facilita acest lucru.

add_module nume-modul
    Adaugă la imagine modulul specificat de nume-modul. Dependențele sunt derivate și adăugate automat.

add_binary binar [ destinație ] [ mod ]
    Adaugă un fișier binar la imagine. Argumentul binar nu trebuie să fie o rută absolută și, dacă este necesar, se va efectua o căutare. Dacă binarul este un binar ELF legat dinamic, dependențele vor fi adăugate automat. Dacă este o legătură simbolică, vor fi adăugate atât legătura simbolică, cât și binarul țintă. Opțional, poate fi specificată o destinație în cadrul imaginii initramfs, precum și un mod(permisiuni) de fișier. În mod implicit, destinația și modul sunt preluate din sursa derivată din binary.

add_file ruta [ destinație ] [ mod ]
    Adaugă la imagine un fișier și orice directoare părinte necesare. Dacă este o legătură simbolică, vor fi adăugate atât legătura simbolică, cât și fișierul țintă. Opțional, poate fi specificată o destinație în cadrul imaginii initramfs, precum și un mod(permisiuni) de fișier. În mod implicit, destinația și modul vor fi preluate din sursa și modul fișierului specificat de rută.

add_file_early ruta [ destinație ] [ mod ]
    Adaugă un fișier și toate directoarele părinte necesare la imaginea necomprimată inițială. Funcționează la fel ca add_file.

add_dir ruta
    Adaugă un director și părinții acestuia la imagine.

add_dir_early ruta
    Adaugă un director și părinții acestuia la imaginea necomprimată inițială. Funcționează la fel ca add_dir.

add_full_dir director [ glob ] [ prefix_de_înlăturat ]
    Adaugă recursiv un director la imagine parcurgând ruta dată și apelând add_file, add_dir și add_symlink în consecință. Această funcție nu va urmări legăturile simbolice și nici nu va adăuga țintele legăturilor simbolice.
    Dacă este trecut argumentul glob, vor fi adăugate numai fișierele și legăturile simbolice care corespund acestui glob.
    Dacă este pasat argumentul prefix_de_înlăturat, acesta va fi utilizat pentru a elimina ruta de destinație (ruta din imaginea initramfs) din prefixul specificat de argumentul prefix_de_înlăturat. Acest lucru poate fi util la scrierea cârligelor rootfs-overlay.

add_symlink ruta [ ținta-de-legătură ]
    Adaugă o legătură simbolică la imaginea de la ruta specificată, opțional indicând spre ținta-de-legătură specificată. Dacă ținta-de-legătură nu este furnizată, se presupune că această legătură simbolică există în sistemul de fișiere real, iar ținta va fi citită utilizând readlink(1). Nu se efectuează nicio verificare pentru a se asigura că ținta legăturii simbolice există, iar legăturile simbolice nu vor fi urmate recursiv.

add_all_modules [ -f filtru ] model
    Adaugă module la imagine, fără a ține seama de lista albă de autodetecție. model trebuie să fie un subdirector din arborele nucleului care descrie un subset de module care urmează să fie incluse. O rafinare suplimentară poate fi furnizată prin intermediul opțiunii -f cu o expresie regulată extinsă.

add_checked_modules [ -f filtu ] model
    Similar cu add_all_modules, cu restricția că numai modulele care corespund listei albe generate de cârligul de autodetecție vor fi adăugate la imagine. Dacă cârligul autodetect nu este prezent în imagine, această funcție este identică cu add_all_modules.

add_runscript nume-script
    Adaugă un cârlig de timp de execuție la imagine, care este un script shell compatibil cu busybox ash. Numele scriptului este garantat să corespundă cu numele cârligului din care este apelat scriptul.

add_udev_rule fișier-reguli
    Adaugă o regulă udev la imagine. Dependențele de binare vor fi descoperite și adăugate. Argumentul poate fi un nume de fișier de reguli (descoperit din rutele udev bine cunoscute) sau o rută absolută.

add_all_modules_from_symbol simbol rute
    Adaugă la imagine module din directoarele rute care conțin simbolul.

add_checked_modules_from_symbol simbol rute
    Similar cu add_all_modules_from_symbol, cu constrângerea ca numai modulele care corespund listei albe generate de cârligul autodetect să fie adăugate imaginii. Dacă cârligul autodetect nu este prezent în imagine, această funcție este identică cu add_all_modules_from_symbol.

DESPRE CPIO INIȚIAL

mkinitcpio are suport pentru CPIO inițial. Acestea sunt arhive CPIO necomprimate anexate la arhiva CPIO principală comprimată. Acestea sunt utilizate pentru încărcarea inițială a microcodului CPU sau pentru încărcarea suprascrierilor tabelei ACPI.

Cârligele de instalare pot instala fișiere în această arhivă prin adăugarea lor la $EARLYROOT.

DESPRE CÂRLIGELE ÎN TIMPUL EXECUȚIEI

Cârligele de timp de execuție adăugate la imagine prin intermediul funcției add_runscript dintr-un cârlig de instalare sunt capabile să furnizeze funcționalități suplimentare în timpul spațiului de utilizator inițial. Funcțiile specifice din aceste fișiere vor rula la momente diferite. Un cârlig poate defini una sau mai multe dintre acestea. La fiecare punct al cârligului, cârligele sunt executate în ordinea în care sunt definite în variabila HOOKS, cu excepția cârligelor de curățare care sunt executate invers.

run_earlyhook
    Funcțiile cu acest nume vor fi executate după ce montările API au fost configurate și linia de comandă a nucleului a fost analizată. Demonii necesari pentru spațiul de utilizator inițial ar trebui să fie lansați din acest punct de activare.

run_hook
    Funcțiile cu acest nume vor fi executate după orice cârlige inițiale și după ce modulele definite de utilizator au fost instalate. Acesta este cel mai comun punct de conectare, iar funcționalități precum scanarea volumelor LVM și cartografierea volumelor criptate ar trebui să fie efectuate aici.

run_latehook
    Funcțiile cu acest nume vor fi executate după ce rădăcina a fost montată. Aceasta este utilizată în general pentru alte configurări necesare în rădăcina reală, cum ar fi montarea altor partiții de sistem.

run_cleanuphook
    Functions of this name are run as late as possible. Any daemons started from a run_earlyhook function should be shut down here in preparation for switching to the real root.

run_emergencyhook
    Funcțiile cu acest nume sunt executate înainte de lansarea shell-ului de salvare în caz de eșec a pornirii. De exemplu, aceasta permite ecranelor de pornire (splash) să își încheie procesul, astfel încât utilizatorii să observe eșecul.

getarg argument [ default ]
    Această funcție poate fi utilizată în cârligele din timpul execuției pentru a obține un argument din linia de comandă a nucleului. Dacă argument există cu o valoare, valoarea este returnată. Dacă argument există fără o valoare, y este returnat. Dacă argument nu există, se returnează default. Dacă default nu este specificat, nu se returnează nimic.

DESPRE CÂRLIGELE POST GENERARE

Cârligele post-* sunt executabile sau scripturi care sunt executate după ce imaginea a fost generată cu succes și pot fi utilizate pentru procesarea ulterioară (de exemplu, semnarea). Acestea primesc nucleul ca prim argument, imaginea ca al doilea și, opțional, imaginea unificată a nucleului ca al treilea argument.

Rețineți că primul argument va fi gol atunci când mkinitcpio a fost invocat cu -k none sau -k versiune și imaginea nucleului nu poate fi găsită în sistemul de fișiere.

Sunt pasate următoarele variabile de mediu:

KERNELVERSION
    Conține versiunea completă a nucleului din care a fost construită imaginea.

KERNELDESTINATION
    Locația implicită în care ar trebui să fie localizat nucleul pentru pornire. Aceasta este de obicei aceeași cu primul argument, dar poate fi diferită dacă mkinitcpio nu a fost invocat cu -k /boot/*. Dacă nu a fost găsită nicio imagine a nucleului, această variabilă va fi și ea goală.

MEDIUL DE INIȚIERE INIȚIAL

mkinitcpio oferă un tratament special anumitor variabile de mediu transmise în linia de comandă a nucleului:

break[=<premount|postmount>]
    Dacă este specificată, mkinitcpio va lansa un shell în timpul inițierii incipiente. Parametrul opțional controlează momentul în care se întâmplă acest lucru: atunci când premount sau niciun parametru nu sunt specificați, shell-ul va fi lansat înainte de montarea rădăcinii. Dacă este specificat postmount, shell-ul va fi lansat după montarea rădăcinii.

disablehooks=listă-cârlige
    Aceasta este o listă separată prin virgule de cârlige care vor fi ignorate în timpul inițierii inițiale.

earlymodules=listă-module
    Aceasta este o listă de module, separate prin virgule, care vor fi încărcate înainte de oricare altele. În general, acest lucru nu este necesar și indică de obicei o problemă de configurare sau de nucleu.

quiet
    Face ca mkinitcpio să emită mai puține mesaje în timpul pornirii. Erorile nu vor fi suprimate.

ro
    Specifică faptul că rădăcina trebuie să fie montată cu permisiuni de numai-citire. Acesta este comportamentul implicit.

rw
    Specifică faptul că rădăcina trebuie să fie montată cu permisiuni de citire. În general, acest lucru este util numai dacă initramfs utilizează cârligul fsck.

root=dispozitiv-rădăcină
    Această variabilă descrie partiția rădăcină pe care inițierea incipientă o va monta înainte de a trece controlul la inițierea reală. mkinitcpio înțelege o varietate de formate, dintre care cel mai de bază este ruta către dispozitivul bloc, fie direct, cum ar fi /dev/sda2, fie utilizând un symlink udev, cum ar fi /dev/disk/by-label/CorsairF80-root. De asemenea, se acceptă identificarea prin etichete LABEL sau UUID, cum ar fi LABEL=CorsairF80-root. Începând cu util-linux 2.22, sunt acceptate și PARTUUID și PARTLABEL. Identificarea prin ID-ul dispozitivului major/minor codificat hexazecimal este acceptată din motive de tradiție, dar ar trebui evitată deoarece tinde să fie fragilă.

rootdelay[=secunde]
    Stabilește întârzierea, în secunde, pe care mkinitcpio este dispus să o aștepte pentru ca dispozitivul rădăcină să apară, dacă acesta nu este disponibil imediat. Valoarea implicită este 10 secunde. Dacă este trecut un număr întreg nevalid, această variabilă nu va avea niciun efect.

rootflags=listă-fanioane
    O listă de fanioane separate prin virgule care vor fi transmise comenzii mount(8) la montarea sistemului de fișiere rădăcină. Valorile acceptabile sunt specifice sistemului de fișiere.

rootfstype=tip_sistem-fișiere
    Suprascrie tipul de sistem de fișiere care este montat ca rădăcină. Acest lucru nu ar trebui să fie necesar aproape niciodată, deoarece mount(8) detectează de obicei singur acest lucru.

rd.debug
    Activează depanarea shell-ului (xtrace). Dacă rd.log nu este, de asemenea, un parametru pe linia de comandă a nucleului, acest parametru implică rd.log=console.

rd.log[=<console|file|kmsg|all>]
    Activează înregistrarea mesajelor inițiale din spațiul utilizatorului. Dacă este specificată, parametrul opțional descrie unde sunt înregistrate aceste informații. Opțiunile multiple pot fi puse împreună prin operatorul logic SAU- folosind caracterul pipe (|). Mesajele sunt întotdeauna înregistrate la consolă, cu excepția cazului în care este trecut parametrul quiet. Dacă parametrul opțional nu este specificat, se presupune kmsg|console. Dacă rd.log nu este prezent în linia de comandă a nucleului, nu va avea loc nicio înregistrare.

    console
        Scrie ieșirea în /dev/console.

    file
        Scrie ieșirea în /run/initramfs/init.log.

    kmsg
        Scrie ieșirea pe dispozitivul /dev/kmsg (introdusă în Linux 3.5). Această opțiune este inutilă dacă nucleul dvs. nu are suport pentru /dev/kmsg.

    all
        Scrie rezultatul la toate țintele de jurnal cunoscute.

Acestea sunt doar variabilele pe care nucleul mkinitcpio le onorează. Cârligele suplimentare pot căuta alte variabile de mediu și ar trebui documentate prin ieșirea de ajutor pentru cârlig.

REPRODUCTIBILITATE

mkinitcpio urmărește să creeze imagini initramfs reproductibile în mod implicit.

Aceasta înseamnă că două rulări succesive ale mkinitcpio ar trebui să producă două fișiere care sunt identice la nivel binar.

Marcajele de timp din initramfs sunt stabilite în raport cu epoca Unix 1970-01-01.

Rețineți că, pentru ca compilarea să fie complet reproductibilă, programul de comprimare specificat (de exemplu, gzip, xz) trebuie să producă și arhive reproductibile. La momentul redactării, ca exemplu neexhaustiv, programul de comprimare lzop este incapabil să producă arhive reproductibile din cauza inserării unui marcaj de timp în timpul execuției.

Mai multe informații pot fi găsite la adresa

FIȘIERE

/etc/mkinitcpio.conf
    Fișierul de configurare implicit pentru mkinitcpio.

/etc/mkinitcpio.conf.d
    Directorul care conține fișierele de configurare drop-in.

/etc/mkinitcpio.d
    Directorul care conține preconfigurările mkinitcpio.

/etc/initcpio/install, /usr/lib/initcpio/install
    Ruta de căutare pentru cârligele de timp de construire.

/etc/initcpio/hooks, /usr/lib/initcpio/hooks
    Ruta de căutare pentru cârligele inițiale de execuție din spațiul utilizatorilor.

/etc/initcpio/post, /usr/lib/initcpio/post
    Ruta de căutare pentru cârligele de generare a post-urilor.

EXEMPLE

mkinitcpio
    Realizează o rulare în gol. Aceasta va genera un ramdisk inițial, dar nu va scrie nimic. Utilizați -g pentru a crea imaginea reală.

mkinitcpio -p linux
    Creează o imagine ramdisk inițială pe baza preconfigurării linux.

mkinitcpio -g /boot/initramfs-linux.img -k /boot/vmlinuz-linux
    Creează un ramdisk inițial pentru nucleu la /boot/vmlinuz-linux. Imaginea rezultată va fi scrisă la /boot/initramfs-linux.img.

mkinitcpio -U /efi/EFI/Linux/systemd-linux.efi
    Creează un ramdisk inițial pentru nucleu împreună cu o imagine unificată a nucleului. Executabilul rezultat va fi scris în /efi/EFI/Linux/systemd-linux.efi.

mkinitcpio -U /efi/EFI/Linux/systemd-linux.efi --splash /usr/share/systemd/bootctl/splash-arch.bmp
    Creează un ramdisk inițial pentru nucleu și o imagine unificată a nucleului. Aceasta include, de asemenea, o imagine splash care va fi utilizată în timpul pornirii.

CONSULTAȚI ȘI

Un articol mai detaliat despre configurarea mkinitcpio:

initrd(4), lsinitcpio(1), mkinitcpio.conf(5), bootparam(7)

ERORI

La momentul redactării acestei pagini de manual, nu existau erori notabile. Vă rugăm să vizitați pentru o listă actualizată.

AUTORI

«mkinitcpio» este întreținut de comunitatea Arch Linux. Consultați fișierul AUTHORS pentru o listă completă a contribuitorilor.

DREPTURI DE AUTOR

Drepturi de autor 🄯 contribuitorii mkinitcpio. Doar GPL-2.0.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.